{************************************************************************}
{                                                                        }
{   "gb_DataSets Components" - set of  additional components for IBX and }
{                             FIBPLUS libraries.                         }
{                                                                        }
{     These components are written to make possible a normal             }
{     navigation on potentially big tables or queries returning          }
{     a potentially high count of records                                }
{                                                                        }
{    ATTENTION: Don't forget about the rule of DOUBLE INDEXES for normal }
{               perfomance (see readme.txt for more information )!!!     }
{                                                                        }
{   Copyright (c) 2001 Spirin Sergey                                     }
{                                                                        }
{   Company        : Paritet Soft LTD, Moscow                            }
{   Support e-mail : paritet@ipa-ss.msu.ru                               }
{                                                                        }
{   Please see the file license.txt for full license information         }
{                                                                        }
{************************************************************************}

{Uncomment first string if you use IBX,
 or second string if you use FIBPLUS.
 Default value: IBX}

{$DEFINE VER_IBX}
//{$DEFINE VER_FIBPLUS}

{************************************************************************}

{Check Delphi Versions}
{$IFDEF VER130}
  {$DEFINE D5}
{$ENDIF}

{$IFDEF VER140}
  {$DEFINE D6}
{$ENDIF}

{Check for not correct defines}
{$IFDEF VER_IBX}
  {$UNDEF VER_FIBPLUS}
{$ELSE}
  {$IFNDEF VER_FIBPLUS}
    {$DEFINE VER_IBX}
  {$ENDIF}
{$ENDIF}

{************************************************************************}

